#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 17-7-11
# @Author  : JCai
# @desc    :
import threadpool
from django.core.management.base import BaseCommand
import os


class Command(BaseCommand):
    def handle(self, *args, **options):
        '''
        import requests
        url = 'http://139.196.40.120:8008/api/translate/'
        headers = {'Authorization': 'Token 5690180f352352dcb25e11a5399d54ac48d00e95'}
        texts = [' 各位同事，物业刚才过来通知我们了，办公室不允许有电动车等，即使没充电也不允许放在办公室或走廊，统一放到园区车棚，下次检查发现将直接给停电的，请大家配合，自行车和电动车都放到车棚吧！！！', '衣服', '手套']
        params = {'text': str(texts),'target': 'ja'}
        ret = requests.get(url, params=params, headers=headers)
        a = ret.json()
        print a['data'][0]
        print ret.text
        '''

        from info_sync.models.account_models import EBayAccount
        if options['type'] and options['type'][0] == 'write':  # just used to test write to sql
            from info_sync.views.listing_sync_to_file import ebay_listing_file_to_SQL
            ebay_listing_file_to_SQL()
        else:
            from info_sync.views.listing_sync_to_file import ebay_listing_sync_to_file, bak_path, info_path
            os.system('rm ' + bak_path + '/*.gz')
            os.system('mv ' + info_path + '/*.gz ' + bak_path + '/')

            #stores = EBayAccount.objects.filter(account_id__in=[67]).values('account_id', 'name', 'Token')  # 43, 45, 53, 55, 56, 57, 67,
            stores = EBayAccount.objects.all().values('account_id', 'name', 'Token')
            pool = threadpool.ThreadPool(10)
            requests = threadpool.makeRequests(ebay_listing_sync_to_file, stores)  # 测试直接写入文件算了，简单粗暴，快
            [pool.putRequest(req) for req in requests]
            pool.wait()

            import urllib2
            req = urllib2.Request('http://122.5.32.82:8000/ebay/notify/syncfiles?token=listing_sync')
            urllib2.urlopen(req)

    def add_arguments(self, parser):
        parser.add_argument('type', nargs='*')
